package com.docus.server.archive.mapper;


import com.docus.server.archive.entity.TBasic;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TBasicMapper {
    /**
     * 根据时间查询患者基础信息
     * 会查询 出院时间大于等于条件 或者 数据 插入 时间大于等于条件 ,已出院的并且为质控的患者
     * @date 2024/3/11 8:48
     * @author YongBin Wen
     * @return 基础信息
     */
    List<TBasic> getBasicByDate(@Param("dateTime") String dateTime, @Param("offset") long offset,@Param("size") long size);

    int updateOrderIndex(@Param("patientId") String patientId, @Param("orderIndex") String orderIndex);
}
