package com.docus.server.trusthis.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 查询存储过程 JsOrdersMapper
 * @author YongBin Wen
 * @date 2024/3/8 15:12
 */
@Mapper
@DS("trusthis")
public interface JsOrdersMapper {
    /**
     * 根据住院号，入院或者出院日期查询当次住院的多个医嘱序号
     * @param inpatientNo 住院号
     * @param admissionOrDisDate 入院或者出院日期  yyyy-MM-dd
     * @param disDate 出院日期  yyyy-MM-dd
     * @return 当次住院多个医嘱序号
     */
    List<String> getOrderIndex(@Param("inpatientNo") String inpatientNo,@Param("admissionOrDisDate") String admissionOrDisDate, @Param("disDate") String disDate);
}
